@rightaway opened this Issue on December 28th 2014

In a clean installation of 2.10.0-rc1 I'm getting this error in my web server logs, one line for every widget showing an error. The message says something about /site/piwik/libs/PiwikTracker/PiwikTracker.php but this file wasn't there in the tar.gz file, is something missing?

105 2014/12/28 23:32:42 [error] 28406<a href='/0'>#0</a>: *485 FastCGI sent in stderr: "PHP
 message: PHP Fatal error:  require_once(): Failed opening required
'/site/piwik/libs/PiwikTracker/PiwikTracker.php'
(include_path='.:/usr/share/php:/usr/share/pear')
in /site/piwik/plugins/CustomVariables/Archiver.php on line 19"
while reading response header from upstream, client: 127.0.0.1,
server: piwiksite, request: 
"POST /index.php?date=today&module=VisitsSummary&action=index&idSite=1&period=day 
HTTP/1.1", upstream: "fastcgi://unix:/var/run/php5-fpm.sock:", host: "piwiksite"

In the widgets I'm getting the same error you see in https://github.com/piwik/piwik/issues/5936

Oops… there was a problem during the request. Maybe the server had a temporary issue,
or maybe you requested a report with too much data. Please try again. If this error occurs 
repeatedly please contact your Piwik administrator for assistance.
@mattab commented on December 29th 2014 Owner

Hi @rightaway thanks for the report, that's very useful!! It should be fixed in the latest Piwik 2.10.0-rc3 - please reopen or comment if you still have any issue!

@mathisschuelingkamp commented on October 27th 2015

Bug came back with 2.15.0?

@mathisschuelingkamp commented on October 27th 2015

Seems to be fixed if I disable CustomVariables.

@JohnMaguire commented on November 27th 2015 Contributor

@mathisschuelingkamp Thank you for the tip about disabling CustomVariables (I shoulda looked closer at the error).

@mattab I too am seeing errors on all my widgets, and couldn't access the "Visitors -> Overview" page.

I installed using composer start-project. Piwik 2.15.0.

@mattab commented on December 7th 2015 Owner

if you experience a bug @JohnMaguire please create a new issue as this one is closed

This Issue was closed on December 29th 2014
Powered by GitHub Issue Mirror